#!/bin/sh
                                                                                
# Copyright IBM Corp. 2005
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# ALL Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
                                                                                
TEMP_DIR=$2
BI_DIR=$1
WSTOOLS_DIR=$BI_DIR/wstools/eclipse/plugins
                                                                                
cd $WSTOOLS_DIR
if [ ! -e ../backup ]
then
mkdir ../backup
fi

if [ -e $WSTOOLS_DIR/com.ibm.wbit.artifact.loader_6.0.0 ]
then
mv --reply=yes com.ibm.wbit.artifact.loader_6.0.0 ../backup/com.ibm.wbit.artifact.loader_6.0.0
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.artifact.loader_6.0.0.1 ]
then
mv --reply=yes com.ibm.wbit.artifact.loader_6.0.0.1 ../backup/com.ibm.wbit.artifact.loader_6.0.0.1
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.artifact.loader_6.0.1 ]
then
mv --reply=yes com.ibm.wbit.artifact.loader_6.0.1 ../backup/com.ibm.wbit.artifact.loader_6.0.1
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.artifact.loader_6.0.1.100 ]
then
mv --reply=yes com.ibm.wbit.artifact.loader_6.0.1.100 ../backup/com.ibm.wbit.artifact.loader_6.0.1.100
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.artifact.loader_6.0.1.200 ]
then
mv --reply=yes com.ibm.wbit.artifact.loader_6.0.1.200 ../backup/com.ibm.wbit.artifact.loader_6.0.1.200
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.artifact.loader_6.0.1.201 ]
then
mv --reply=yes com.ibm.wbit.artifact.loader_6.0.1.201 ../backup/com.ibm.wbit.artifact.loader_6.0.1.201
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.artifact.loader_6.0.2 ]
then
mv --reply=yes com.ibm.wbit.artifact.loader_6.0.2 ../backup/com.ibm.wbit.artifact.loader_6.0.2
fi

if [ -e $WSTOOLS_DIR/com.ibm.wbit.command.framework_6.0.2 ]
then
mv --reply=yes com.ibm.wbit.command.framework_6.0.2 ../backup/com.ibm.wbit.command.framework_6.0.2
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.command.framework_6.0.2.001 ]
then
mv --reply=yes com.ibm.wbit.command.framework_6.0.2.001 ../backup/com.ibm.wbit.command.framework_6.0.2.001
fi

if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.0 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.0 ../backup/com.ibm.wbit.index_6.0.0
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.0.1 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.0.1 ../backup/com.ibm.wbit.index_6.0.0.1
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.1 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.1 ../backup/com.ibm.wbit.index_6.0.1
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.1.100 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.1.100 ../backup/com.ibm.wbit.index_6.0.1.100
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.1.101 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.1.101 ../backup/com.ibm.wbit.index_6.0.1.101
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.1.200 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.1.200 ../backup/com.ibm.wbit.index_6.0.1.200
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.2 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.2 ../backup/com.ibm.wbit.index_6.0.2
fi
if [ -e $WSTOOLS_DIR/com.ibm.wbit.index_6.0.2.001 ]
then
mv --reply=yes com.ibm.wbit.index_6.0.2.001 ../backup/com.ibm.wbit.index_6.0.2.001
fi
                                                                              
cd $TEMP_DIR
cp uninstall.sh ../uninstall.sh
